Problème apt-get update (server)

Christophe Meessen christophe at meessen.net
Mer 27 Aou 06:16:19 UTC 2008


Michel Leunen a écrit :
> Christophe Meessen a écrit :
>
>   
>> Lecture des listes de paquets...
>> E: Problem parsing dependency Depends
>> E: Erreur apparue lors du traitement de kreversi (NewVersion1)
>> E: Problem with MergeList 
>> /var/lib/apt/lists/ftp.free.fr_mirrors_ftp.ubuntu.com_ubuntu_dists_hardy_main_binary-i386_Packages 
>>
>> E: Les listes de paquets ou le fichier « status » ne peuvent être 
>> analysés ou lus.
>>     
>
> Il s'est passé quelque chose au moment de la mise à jour des listes de 
> paquets. A mon avis, ce n'est pas très grave. As-tu essayé de relancé la 
> commande? Si ça ne marche pas, je renommerais les fichiers dans 
> /var/lib/apt/lists/ et je relancerais la commande pour qu'apt les recrée.
>
>   
Super, merci. Cela a fonctionné. J'ai fait l'opération suivante qui 
était plus simple et plus rapide que de renommer tous les fichiers.

cd /var/lib/apt/lists
mkdir bck
mv ftp* bck
apt-get update

et voilà. Il ne me reste plus qu'à supprimer bck.

J'ai fait un diff pour vérifier la différence et il y a juste une 
virgule qui a été remplacée par un $.
Le dollars est sur la première ligne vers la fin. Je me suis amusé à 
comparer le code ASCII du dollars et de la virgule : $ 0x24  , 0x2C  Il 
y a un bit de différence ! Un grain de sable quoi ;)
Un grand merci pour l'aide. J'ai pu mettre en place le nouveau kernel.

diff 
bck/ftp.free.fr_mirrors_ftp.ubuntu.com_ubuntu_dists_hardy_main_binary-i386_Packages 
bck2/ftp.free.fr_mirrors_ftp.ubuntu.com_ubuntu_dists_hardy_main_binary-i386_Packages
34187c34187
< Depends: kdelibs4c2a (>= 4:3.5.8-1), libacl1 (>= 2.2.11-1), 
libart-2.0-2 (>= 2.3.18)$ libattr1 (>= 2.4.4-1), libaudio2, 
libavahi-client3 (>= 0.6.13), libavahi-common3 (>= 0.6.10), 
libavahi-qt3-1 (>= 0.6.0), libc6 (>= 2.7-1), libfontconfig1 (>= 2.4.0), 
libfreetype6 (>= 2.3.5), libgcc1, libice6 (>= 1:1.0.0), libidn11 (>= 
0.5.18), libjpeg62, libkdegames1 (>= 4:3.5.8), libpng12-0 (>= 1.2.13-4), 
libqt3-mt (>= 3:3.3.8-b), libsm6, libstdc++6 (>= 4.1.1-21), libx11-6, 
libxcursor1 (>> 1.1.2), libxext6, libxft2 (>> 2.1.1), libxi6, 
libxinerama1, libxrandr2 (>= 2:1.2.0), libxrender1, libxt6, zlib1g (>= 
1:1.2.3.3.dfsg-1)
---
 > Depends: kdelibs4c2a (>= 4:3.5.8-1), libacl1 (>= 2.2.11-1), 
libart-2.0-2 (>= 2.3.18), libattr1 (>= 2.4.4-1), libaudio2, 
libavahi-client3 (>= 0.6.13), libavahi-common3 (>= 0.6.10), 
libavahi-qt3-1 (>= 0.6.0), libc6 (>= 2.7-1), libfontconfig1 (>= 2.4.0), 
libfreetype6 (>= 2.3.5), libgcc1, libice6 (>= 1:1.0.0), libidn11 (>= 
0.5.18), libjpeg62, libkdegames1 (>= 4:3.5.8), libpng12-0 (>= 1.2.13-4), 
libqt3-mt (>= 3:3.3.8-b), libsm6, libstdc++6 (>= 4.1.1-21), libx11-6, 
libxcursor1 (>> 1.1.2), libxext6, libxft2 (>> 2.1.1), libxi6, 
libxinerama1, libxrandr2 (>= 2:1.2.0), libxrender1, libxt6, zlib1g (>= 
1:1.2.3.3.dfsg-1)





-------------- section suivante --------------
Une pièce jointe autre que texte a été nettoyée...
Nom: smime.p7s
Type: application/x-pkcs7-signature
Taille: 3277 octets
Desc: S/MIME Cryptographic Signature
URL: <https://lists.ubuntu.com/archives/ubuntu-fr/attachments/20080827/3f74e787/attachment.bin>


Plus d'informations sur la liste de diffusion ubuntu-fr